	// Netcalc - version 1.5
	// 12 December, 2007
	// Copyright 2000-2007 Harry Whitfield
	// mailto:g6auc@arrl.net

	function Menu(window, menuName, menuStringsArray, index, hOff, vOff, titleWidth, titleHeight, titleBgColor, titleImage, menuZorder, toolTip, checkFlag)
	{
		this.image = new Image(window);
		this.image.alignment  = 'left';
		this.image.width      = titleWidth;
		this.image.height     = titleHeight;
		this.image.hOffset    = hOff;
		this.image.vOffset    = vOff;
		this.image.src        = "Resources/Images/" + titleImage;
		this.image.opacity    = 255;
		this.image.zOrder     = menuZorder;
		this.image.tooltip    = toolTip;

		this.text = new Text(window);
		this.text.alignment   = 'left';
		this.text.width       = titleWidth - 8;
		this.text.hOffset     =  4 + hOff;
		this.text.vOffset     = 15 + vOff;
		this.text.color       = "#000000";
		this.text.opacity     = 255;
		this.text.bgColor     = titleBgColor;
		this.text.bgOpacity   = 0;
		this.text.font        = "Helvetica Bold";
		this.text.size        = 13;
		//this.text.style     = "font-weight:bold";
		this.text.zOrder      = 1 + menuZorder;
    	this.text.menus       = [];
    	for (var i = 0; i < menuStringsArray.length; i += 1) { this.text.menus[i] = menuStringsArray[i]; }
    	this.text.menuName    = menuName;
    	this.text.menu        = this;
    	this.text.checkFlag   = checkFlag;
		this.text.onMouseDown = this.select;
		if (index >= 0) { this.text.data = menuStringsArray[index]; }
 	}

	Menu.prototype.select = function()
	{
		var menuItems = [], items;
    	for ( items in this.menus )
    	{
       	 	menuItems[items] = new MenuItem();
        	menuItems[items].title = this.menus[items];
        	if (this.checkFlag) { menuItems[items].checked = (this.menu.text.data == this.menus[items]); } else { menuItems[items].checked = false; }
        	menuItems[items].menuName = this.menuName;
        	menuItems[items].i = items;
        	menuItems[items].data = this.menus[items];
        	menuItems[items].onSelect =  menuAction;
    	}
   	 	popupMenu( menuItems, this.hOffset, this.vOffset - 20 );
	};

	Menu.prototype.setBgOpacity = function(bgOpacity)
	{
		this.text.bgOpacity = bgOpacity;
	};
